mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.MD5 System.Runtime.InteropServices.ComVisible(true)

Hash functions map binary strings of an arbitrary length to small binary strings of a fixed length. A cryptographic hash function has the property that it is computationally infeasible to find two distinct inputs that hash to the same value; that is, hashes of two sets of data should match if the corresponding data also matches. Small changes to the data result in large, unpredictable changes in the hash.

Newer hash functions such as the Secure Hash Algorithms SHA-256 and SHA-512 are available. Consider using the class or the class instead of the class. Use only for compatibility with legacy applications and data.

The hash size for the class is 128 bits.

The methods of the class return the hash as an array of 16 bytes. Note that some MD5 implementations produce a 32-character, hexadecimal-formatted hash. To interoperate with such implementations, format the return value of the methods as a hexadecimal value.

Computes the hash value for the input data using the implementation provided by the cryptographic service provider (CSP). This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the Finalize method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. Finalize invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is not called directly by application code.

  Routes data written to the object into the hash algorithm for computing the hash value.

  The array of data bytes. The offset into the byte array from which to begin using data. The number of bytes in the array to use as data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Returns the computed hash value as an array of bytes after all data has been written to the object.

  The computed hash value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void Called automatically after hashing is done.

  Initializes an instance of .